@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  api-compiler startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and API_COMPILER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\api-compiler-0.0.8.jar;%APP_HOME%\lib\guava-19.0.jar;%APP_HOME%\lib\jsr305-3.0.0.jar;%APP_HOME%\lib\auto-value-1.1.jar;%APP_HOME%\lib\cglib-3.1.jar;%APP_HOME%\lib\swagger-models-1.5.9.jar;%APP_HOME%\lib\swagger-parser-1.0.22.jar;%APP_HOME%\lib\guice-4.0.jar;%APP_HOME%\lib\commons-lang3-3.4.jar;%APP_HOME%\lib\snakeyaml-1.16.jar;%APP_HOME%\lib\json-schema-validator-2.0.0.jar;%APP_HOME%\lib\grpc-google-common-protos-0.1.20.jar;%APP_HOME%\lib\commons-cli-1.3.jar;%APP_HOME%\lib\asm-4.2.jar;%APP_HOME%\lib\jackson-annotations-2.4.5.jar;%APP_HOME%\lib\slf4j-api-1.6.3.jar;%APP_HOME%\lib\swagger-annotations-1.5.9.jar;%APP_HOME%\lib\swagger-core-1.5.8.jar;%APP_HOME%\lib\slf4j-ext-1.6.3.jar;%APP_HOME%\lib\commons-io-2.4.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\json-schema-core-1.0.1.jar;%APP_HOME%\lib\mailapi-1.4.3.jar;%APP_HOME%\lib\libphonenumber-5.3.jar;%APP_HOME%\lib\grpc-stub-1.6.1.jar;%APP_HOME%\lib\proto-google-common-protos-0.1.20.jar;%APP_HOME%\lib\grpc-protobuf-1.6.1.jar;%APP_HOME%\lib\jackson-databind-2.4.5.jar;%APP_HOME%\lib\jackson-datatype-joda-2.4.5.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.4.5.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\cal10n-api-0.7.4.jar;%APP_HOME%\lib\rhino-1.7R4.jar;%APP_HOME%\lib\jcip-annotations-1.0.jar;%APP_HOME%\lib\grpc-core-1.6.1.jar;%APP_HOME%\lib\api-common-1.1.0.jar;%APP_HOME%\lib\grpc-protobuf-lite-1.6.1.jar;%APP_HOME%\lib\jackson-core-2.4.5.jar;%APP_HOME%\lib\grpc-context-1.6.1.jar;%APP_HOME%\lib\error_prone_annotations-2.0.19.jar;%APP_HOME%\lib\instrumentation-api-0.4.3.jar;%APP_HOME%\lib\opencensus-api-0.5.1.jar;%APP_HOME%\lib\protobuf-java-3.3.1.jar;%APP_HOME%\lib\protobuf-java-util-3.3.1.jar;%APP_HOME%\lib\joda-time-2.2.jar;%APP_HOME%\lib\gson-2.7.jar

@rem Execute api-compiler
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %API_COMPILER_OPTS%  -classpath "%CLASSPATH%" com.google.api.tools.framework.tools.configgen.ServiceConfigGeneratorTool %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable API_COMPILER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%API_COMPILER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
